--- title: mixc description: Utility to trigger direct calls to Mixer's API. generator: pkg-collateral-docs number_of_entries: 5 ---

This command lets you interact with a running instance of Mixer. Note that you need a pretty good understanding of Mixer's API in order to use this command.

## mixc check

The Check method is used to perform precondition checks and quota allocations. Mixer expects a set of attributes as input, which it uses, along with its configuration, to determine which adapters to invoke and with which parameters in order to perform the checks and allocations.

    mixc check [flags]

Flags | Shorthand | Description
--- | --- | ---
`--attributes <string>` | `-a` | List of name/value auto-sensed attributes specified as name1=value1,name2=value2,... (default ``)
`--bool_attributes <string>` | `-b` | List of name/value bool attributes specified as name1=value1,name2=value2,... (default ``)
`--bytes_attributes <string>` |  | List of name/value bytes attributes specified as name1=b0:b1:b3,name2=b4:b5:b6,... (default ``)
`--concurrency <int>` | `-c` | Controls the number of workers used to send requests to Mixer concurrently. (default `1`)
`--double_attributes <string>` | `-d` | List of name/value float64 attributes specified as name1=value1,name2=value2,... (default ``)
`--duration_attributes <string>` |  | List of name/value duration attributes specified as name1=value1,name2=value2,... (default ``)
`--int64_attributes <string>` | `-i` | List of name/value int64 attributes specified as name1=value1,name2=value2,... (default ``)
`--mixer <string>` | `-m` | Address and port of a running Mixer instance (default `localhost:9091`)
`--print_response` |  | Whether to print mixer's response, useful when generating heavy load with mixc.
`--quotas <string>` | `-q` | List of quotas to allocate specified as name1=amount1,name2=amount2,... (default ``)
`--rate <int>` |  | Maximum number of requests per second sent by each worker. (default `-1`)
`--repeat <int>` | `-r` | Sends the specified number of requests in quick succession (default `1`)
`--report_batch_size <int>` |  | Maximum number of report instances to include in each report API call. (default `1`)
`--string_attributes <string>` | `-s` | List of name/value string attributes specified as name1=value1,name2=value2,... (default ``)
`--stringmap_attributes <string>` |  | List of name/value string map attributes specified as name1=k1:v1;k2:v2,name2=k3:v3... (default ``)
`--timestamp_attributes <string>` | `-t` | List of name/value timestamp attributes specified as name1=value1,name2=value2,... (default ``)
`--trace_jaeger_url <string>` |  | URL of Jaeger HTTP collector (example: 'http://jaeger:14268/api/traces?format=jaeger.thrift'). (default ``)
`--trace_log_spans` |  | Whether or not to log trace spans.
`--trace_sampling_rate <float>` |  | Sampling rate for generating trace data. Must be a value in the range [0.0, 1.0]. (default `0`)
`--trace_zipkin_url <string>` |  | URL of Zipkin collector (example: 'http://zipkin:9411/api/v1/spans'). (default ``)

## mixc report

The Report method is used to produce telemetry. Mixer expects a set of attributes as input, which it uses, along with its configuration, to determine which adapters to invoke and with which parameters in order to output the telemetry.

    mixc report [flags]

Flags | Shorthand | Description
--- | --- | ---
`--attributes <string>` | `-a` | List of name/value auto-sensed attributes specified as name1=value1,name2=value2,... (default ``)
`--bool_attributes <string>` | `-b` | List of name/value bool attributes specified as name1=value1,name2=value2,... (default ``)
`--bytes_attributes <string>` |  | List of name/value bytes attributes specified as name1=b0:b1:b3,name2=b4:b5:b6,... (default ``)
`--concurrency <int>` | `-c` | Controls the number of workers used to send requests to Mixer concurrently. (default `1`)
`--double_attributes <string>` | `-d` | List of name/value float64 attributes specified as name1=value1,name2=value2,... (default ``)
`--duration_attributes <string>` |  | List of name/value duration attributes specified as name1=value1,name2=value2,... (default ``)
`--int64_attributes <string>` | `-i` | List of name/value int64 attributes specified as name1=value1,name2=value2,... (default ``)
`--mixer <string>` | `-m` | Address and port of a running Mixer instance (default `localhost:9091`)
`--print_response` |  | Whether to print mixer's response, useful when generating heavy load with mixc.
`--rate <int>` |  | Maximum number of requests per second sent by each worker. (default `-1`)
`--repeat <int>` | `-r` | Sends the specified number of requests in quick succession (default `1`)
`--report_batch_size <int>` |  | Maximum number of report instances to include in each report API call. (default `1`)
`--string_attributes <string>` | `-s` | List of name/value string attributes specified as name1=value1,name2=value2,... (default ``)
`--stringmap_attributes <string>` |  | List of name/value string map attributes specified as name1=k1:v1;k2:v2,name2=k3:v3... (default ``)
`--timestamp_attributes <string>` | `-t` | List of name/value timestamp attributes specified as name1=value1,name2=value2,... (default ``)
`--trace_jaeger_url <string>` |  | URL of Jaeger HTTP collector (example: 'http://jaeger:14268/api/traces?format=jaeger.thrift'). (default ``)
`--trace_log_spans` |  | Whether or not to log trace spans.
`--trace_sampling_rate <float>` |  | Sampling rate for generating trace data. Must be a value in the range [0.0, 1.0]. (default `0`)
`--trace_zipkin_url <string>` |  | URL of Zipkin collector (example: 'http://zipkin:9411/api/v1/spans'). (default ``)

## mixc version

Prints out build version information

    mixc version [flags]

Flags | Shorthand | Description
--- | --- | ---
`--output <string>` | `-o` | One of 'yaml' or 'json'. (default ``)
`--short` | `-s` | Displays a short form of the version information